=== debian/changelog ===
obs-retro-effects (1.0.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Providing the README.md file from upstream and a plain text version
    of it. Consequently:
      - debian/control: added pandoc to Build-Depends field.
      - debian/docs: created to install README.md.
      - debian/rules: created the target execute_after_dh_installdocs to
        generate the plain text.
  * debian/control: improved long description.
  * debian/patches/:
      - 020_add-pt-BR.patch: created to add translation to pt-BR.
      - 030_fix-typos.patch: fix typos in original upstream text.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 03 Apr 2025 23:57:34 -0300

obs-retro-effects (1.0.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1101798)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 01 Apr 2025 01:21:21 -0300
