=== debian/changelog ===
obs-retro-effects (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1.
  * debian/copyright: updated upstream copyright years.
  * debian/patches/:
      - 010_change-project-name.patch: updated to make it compliant with the
        new upstream release.
      - 020_update-pt-BR.patch: created to update pt-BR translation.
      - Removed because the upstream applied them (thanks):
          ~ 020_add-pt-BR.patch
          ~ 030_fix-typos.patch

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 07 Sep 2025 16:50:49 -0300
