=== debian/control ===
Source: obs-retro-effects
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev, pandoc
Standards-Version: 4.7.2
Homepage: https://obsproject.com/forum/resources/retro-effects.1972/
Vcs-Browser: https://salsa.debian.org/debian/obs-retro-effects
Vcs-Git: https://salsa.debian.org/debian/obs-retro-effects.git

Package: obs-retro-effects
Architecture: any
Depends: obs-studio (>= 29), ${misc:Depends}, ${shlibs:Depends}
Enhances: obs-studio
Description: plugin for OBS Studio that simulates retro hardware
 Retro Effects is an OBS plugin that provides several filters to simulate
 retro hardware (e.g. CRTs, NTSC Signals, etc) giving to OBS sources an
 authentic retro look/feel.
 .
 CAUTION: some features will require a powerful graphics card.
 .
 Retro effects provides the following filters:
 .
   Chromatic Aberration
   Frame Skip
   Interlace
   Posterize
   Dither
   CRT
   NTSC
   Cathode Boot
   Matrix Rain
   Retro Codec
   VHS
   Bloom
   Scanlines
   Digital Glitch
   Analog Glitch
