=== debian/watch ===
version=4
https://github.com/FiniteSingularity/obs-retro-effects/tags .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
