=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: obs-retro-effects
 Section: video
-Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), cmake, libobs-dev, pandoc
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com/forum/resources/retro-effects.1972/
 Vcs-Browser: https://salsa.debian.org/debian/obs-retro-effects
 Vcs-Git: https://salsa.debian.org/debian/obs-retro-effects.git
